%define name	lintalk
%define version	0.4
%define release %mkrel 6

Name: 	 	%{name}
Summary: 	Serverless instant messaging for a LAN
Version: 	%{version}
Release: 	%{release}

Source:		%{name}-%{version}-1.tar.bz2
URL:		http://software.manicsadness.com
License:	GPLv2+
Group:		Networking/Chat
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	gtk2-devel pkgconfig

%description
LinTalk is a simple serverless instant messaging tool which is primarily meant
for Local Area Networks. The contactlists synchronize automatically between
all known hosts.

%prep
%setup -q

%build
%configure
%make
										
%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
rm -fr $RPM_BUILD_ROOT/usr/doc

#menu
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=%{name}
Comment=%{summary}
Exec=%{_bindir}/%{name}
Icon=networking_section
Terminal=false
Type=Application
Categories=GTK;Network;InstantMessaging;
EOF

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%if %mdkversion < 200900
%post
%update_menus
%endif
		
%if %mdkversion < 200900
%postun
%clean_menus
%endif

%files -f %{name}.lang
%defattr(-,root,root)
%doc README ABOUT-NLS AUTHORS ChangeLog NEWS TODO
%{_bindir}/%name
%{_datadir}/applications/mandriva-%{name}.desktop


%changelog
* Mon Jul 28 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.4-6mdv2009.0
+ Revision: 250954
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Dec 13 2007 Funda Wang <fundawang@mandriva.org> 0.4-4mdv2008.1
+ Revision: 119571
- drop old menu

  + Thierry Vignaud <tvignaud@mandriva.com>
    - import lintalk


* Sun Sep 03 2006 Emmanuel Andry <eandry@mandriva.org> 0.4-3mdv2007.0
- xdg menu
- %%mkrel

* Sat Jul 17 2004 Austin Acton <austin@mandrake.org> 0.4-2mdk
- new menu
- fix buildrequires

* Mon May 26 2003 Austin Acton <aacton@yorku.ca> 0.4-1mdk
- initial package
